- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 05250c12-11b7-4982-b706-73e9bd932db3
    creation_time: 2023-02-17T13:34:30.240825Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/diamond_1-1.c
      input_file_hashes:
        c/loop-acceleration/diamond_1-1.c: bd9be28702be20fbd75b67eebfdc5f85895ff340c238c235c391c2a8578e7b23
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/diamond_1-1.c
    file_hash: bd9be28702be20fbd75b67eebfdc5f85895ff340c238c235c391c2a8578e7b23
    line: 17
    column: 0
    function: main
  loop_invariant:
    string: x % 2 == y % 2 || (y % 2 == 1 && x <= 99)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: cd24c545-d05c-4905-a358-291db02c8784
    creation_time: 2023-02-17T13:34:30.241201Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/diamond_1-1.c
      input_file_hashes:
        c/loop-acceleration/diamond_1-1.c: bd9be28702be20fbd75b67eebfdc5f85895ff340c238c235c391c2a8578e7b23
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/diamond_1-1.c
    file_hash: bd9be28702be20fbd75b67eebfdc5f85895ff340c238c235c391c2a8578e7b23
    line: 26
    column: 0
    function: main
  location_invariant:
    string: x % 2 == y % 2
    type: assertion
    format: C

